DocumentCategorizerEventStream (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.doccat, class: DocumentCategorizerEventStream

Package opennlp.tools.doccat

# Class DocumentCategorizerEventStream

java.lang.Object
opennlp.tools.util.AbstractEventStream<opennlp.tools.doccat.DocumentSample>
opennlp.tools.doccat.DocumentCategorizerEventStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`

public class DocumentCategorizerEventStream extends AbstractEventStream<opennlp.tools.doccat.DocumentSample>
Iterator-like class for modeling document classification events.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentCategorizerEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.doccat.DocumentSample> samples)`
  Initializes a `DocumentCategorizerEventStream` via samples.
  `DocumentCategorizerEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.doccat.DocumentSample> samples, opennlp.tools.doccat.FeatureGenerator... featureGenerators)`
  Initializes a `DocumentCategorizerEventStream` via samples and `feature generators`.

- ## Method Summary

  ### Methods inherited from class opennlp.tools.util.AbstractEventStream

  `close, read, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentCategorizerEventStream

    public DocumentCategorizerEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.doccat.DocumentSample> samples, opennlp.tools.doccat.FeatureGenerator... featureGenerators)
    Initializes a `DocumentCategorizerEventStream` via samples and `feature generators`.
    Parameters:
      `samples` - `ObjectStream` of `samples`.
      `featureGenerators` - One or more `FeatureGenerator` to use.

  - ### DocumentCategorizerEventStream

    public DocumentCategorizerEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.doccat.DocumentSample> samples)
    Initializes a `DocumentCategorizerEventStream` via samples. `BagOfWordsFeatureGenerator` is used as feature generator.
    Parameters:
      `samples` - `ObjectStream` of `samples`.